# $Revision: 1.3 $, $Date: 2004/04/13 19:51:15 $
%define		_modname	valkyrie
%define		_status		alpha

Summary:	%{_modname} - POST and GET validation extension
Summary(pl):	%{_modname} - rozszerzenie kontrolujce poprawno POST i GET
Name:		php-pecl-%{_modname}
Version:	0.1
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	787621389178eec3d70ee61f22e22722
URL:		http://pecl.php.net/package/valkyrie/
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	php-devel
Requires:	php-common
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/php
%define		extensionsdir	%{_libdir}/php

%description
This extension makes validating POST and GET parameters easier,
through the use of a single XML file for declaring all parameters to
be received by all files of an application. See
http://www.xavier-noguer.com/valkyrie.html for details.

This extension has in PEAR status: %{_status}.

%description -l pl
To rozszerzenie uatwia sprawdzanie poprawnoci parametrw POST i GET
poprzez uycie pojedynczego pliku XML do deklaracji wszystkich
parametrw, ktre maj otrzyma wszystkie pliki z aplikacji. Szczegy
mona znale pod adresem http://www.xavier-noguer.com/valkyrie.html .

To rozszerzenie ma w PEAR status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{extensionsdir}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/php-module-install install %{_modname} %{_sysconfdir}/php-cgi.ini

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/php-module-install remove %{_modname} %{_sysconfdir}/php-cgi.ini
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,EXPERIMENTAL}
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-valkyrie.spec,v $
Revision 1.3  2004/04/13 19:51:15  qboosh
- pl

Revision 1.2  2004/04/13 11:19:15  adamg
- URL fixed
- BuildRequires: libxml2-devel

Revision 1.1  2004/04/13 11:04:28  adamg
- new
